// *******************************************************************************
// File name:		opids.h
// Author:		Laura Dekker
// Description:		ID for User-defined operators
//
//
// Change history:
//
//
// *******************************************************************************

#ifndef _OPIDS_H
#define _OPIDS_H



// Initalisation
#define RANDOM_INITIALISE			100
#define INIT_FROM_FILE				101
#define INIT_COMBINATORIAL			102

// Selection
#define TRUNCATE_SELECT				200
#define TRUNCATE_SELECT2			201
#define ROULETTE_WHEEL				202
#define TOURNAMENT_SELECT			203
#define LINEAR_SELECT				204
#define REMAIND_STOCHASTIC			205
#define WINDOW_SELECT				206

// Crossover
#define HOLLAND_CROSSOVER			300
#define TWOPOINT_CROSSOVER			301
#define UNIFORM_CROSSOVER			302
#define COMBINATORIAL_CROSSOVER		303

// Mutation
#define BASIC_MUTATION				400
#define COMBINATORIAL_MUTATION		401

// Migration
#define BEST_TO_WORST_MIGRATION		500

// Hill-climbing
#define HILL_CLIMB3				800




#endif